PIP 0.7.1 Platform-Independent Primitives

Classes | Functions
pichar.h File Reference

Unicode char. More...

## Classes
class | PIChar
| Unicode char. More...

## Functions
__PICONTAINERS_SIMPLE_TYPE__(PIChar) std PICout | operator<< (PICout s, const PIChar &v)
| Output operator to `std::ostream`. More...
PIByteArray & | operator<< (PIByteArray &s, const PIChar &v)
| Write operator to `PIByteArray`.
PIByteArray & | operator>> (PIByteArray &s, PIChar &v)
| Read operator from `PIByteArray`.
bool | operator== (const char v, const PIChar &c)
| Compare operator.
bool | operator> (const char v, const PIChar &c)
| Compare operator.
bool | operator< (const char v, const PIChar &c)
| Compare operator.
bool | operator>= (const char v, const PIChar &c)
| Compare operator.
bool | operator<= (const char v, const PIChar &c)
| Compare operator.
bool | operator== (const char *v, const PIChar &c)
| Compare operator.
bool | operator> (const char *v, const PIChar &c)
| Compare operator.
bool | operator< (const char *v, const PIChar &c)
| Compare operator.
bool | operator>= (const char *v, const PIChar &c)
| Compare operator.
bool | operator<= (const char *v, const PIChar &c)
| Compare operator.
bool | operator== (const int v, const PIChar &c)
| Compare operator.
bool | operator> (const int v, const PIChar &c)
| Compare operator.
bool | operator< (const int v, const PIChar &c)
| Compare operator.
bool | operator>= (const int v, const PIChar &c)
| Compare operator.
bool | operator<= (const int v, const PIChar &c)
| Compare operator.

## Detailed Description

Unicode char.

## Function Documentation

## ◆ operator<<()

__PICONTAINERS_SIMPLE_TYPE__ (PIChar) std PICout operator<< | ( | PICout | s,
|  | const PIChar & | v
| ) |  |

Output operator to `std::ostream`.

Output operator to PICout